Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.app.button
Interface ToggleButtonModel

All Superinterfaces:
  ButtonModel, java.io.Serializable

All Known Implementing Classes:
  DefaultToggleButtonModel

    public interface ToggleButtonModel

extends ButtonModel

Model for two-state toggle button components.

Method Summary
`void` | `addChangeListener(ChangeListener l)` Adds a `ChangeListener` to receive notification of state changes, i.e., to the selected state of a `ToggleButton`.
`boolean` | `isSelected()` Returns the selection state.
`void` | `removeChangeListener(ChangeListener l)` Removes a `ChangeListener` from being notified of state changes, i.e., to the selected state of a `ToggleButton`.
`void` | `setSelected(boolean newValue)` Sets the selection state.

Methods inherited from interface nextapp.echo2.app.button.ButtonModel
`addActionListener, doAction, getActionCommand, removeActionListener, setActionCommand`

Method Detail

### addChangeListener

    void addChangeListener(ChangeListener l)

  Adds a `ChangeListener` to receive notification of state changes, i.e., to the selected state of a `ToggleButton`.

  Parameters:
    `l` - the listener to add

### isSelected

    boolean isSelected()

  Returns the selection state.

  Returns:
    the selection state

### removeChangeListener

    void removeChangeListener(ChangeListener l)

  Removes a `ChangeListener` from being notified of state changes, i.e., to the selected state of a `ToggleButton`.

  Parameters:
    `l` - the listener to remove

### setSelected

    void setSelected(boolean newValue)

  Sets the selection state.

  Parameters:
    `newValue` - the new selection state

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD